/*
 rgsbkgmodel

   Authors:  Aitor Ibarra - ESA contractor (INSA)

   Description: Copmute model spectra from the RGS background templates

   Comments:

  $Id: rgsbkgmodel.cc,v 1.6 2010/04/08 17:12:12 aibarra Exp $
*/

#include "rgsbkgmodel.h"

#include <metatask.h>

#include "Factor.h"
#include "Model.h"

#include <Tracer.h>
#include <errstr.h>
#include "Xmm.h"
#include "ExceptionErrorHandler.h"
#include "SelectError.h"


#include <sstream>
#include <cmath>

using namespace SelectError;

void rgsbkgmodel ()
{
  PROC

  Factor f;

  f.runEvselect();
  std::vector<double> fac = f.calHistogram();
  std::vector<double> bins = f.getBins();

  XmmInstrument &rgs = f.getRGSunit();
  unsigned int to = f.getOrder();


  Model model(bins,fac,rgs,to);
  model.rateCal();
  // Call directly from model
  // model.bkgModel();


  ENDPROC
}
